package com.quantgroup.asset.distribution.service.funding;

import com.quantgroup.asset.distribution.model.response.GlobalResponse;
import com.quantgroup.asset.distribution.service.jpa.entity.FundModuleChannelFundConfig;
import com.quantgroup.asset.distribution.service.jpa.entity.FundModuleChannelFundConfigNew;

import java.util.List;
import java.util.Map;

/**
 * @author : Hyuk
 * @description : IFundModuleChannelFundConfigNewService
 * @date : 2020/2/26 5:31 下午
 */
public interface IFundModuleChannelFundConfigNewService {

    public Map<String, Object> getChannelFundConfigsByChannelOrFundId(String bizChannel, Long fundId, Integer pageNum, Integer pageSize);

    public GlobalResponse addChannelFundConfig(String bizChannel, String funds, String remarks, String proposer, String auditor);

    public GlobalResponse updateChannelFundConfig(Long id, String bizChannel, String funds, String remarks, String proposer, String auditor);

    public FundModuleChannelFundConfigNew findByBizChannel(String bizChannel);

    public FundModuleChannelFundConfigNew findById(Long id);

    public FundModuleChannelFundConfigNew auditPassConfig(Long preId, Long auditId);

    public void clearChannelFundConfigCache(String bizChannel);

    Map<String,Object> getChannelFundConfigsByChannelOrFundIdOrdered(String bizChannel, Long fundId, Integer pageNum, Integer pageSize);

    public List<String> getAllConfigChanels();
}
